%{?nodejs_find_provides_and_requires}

%global packagename eslint-config-eslint

%global enable_tests 1

Name:		nodejs-eslint-config-eslint
Version:	3.0.0
Release:	1%{?dist}
Summary:	Default ESLint configuration for ESLint projects

License:	MIT
URL:		https://github.com/eslint/eslint
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(js-yaml)

%if 0%{?enable_tests}
# nothing
%endif

%description
Default ESLint configuration for ESLint projects.


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js *.yml \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- No test suite -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.0-1
- Initial packaging
